# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_BoxCharacteristicSelect Class Reference

`#include <StepVisual_BoxCharacteristicSelect.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepVisual_BoxCharacteristicSelect ()
Standard_EXPORT Standard_Integer | TypeOfContent () const
Standard_EXPORT void | SetTypeOfContent (const Standard_Integer aType)
Standard_EXPORT Standard_Real | RealValue () const
Standard_EXPORT void | SetRealValue (const Standard_Real aValue)

## Private Attributes

Standard_Real | theRealValue
Standard_Integer | theTypeOfContent

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_BoxCharacteristicSelect::StepVisual_BoxCharacteristicSelect | ( |  | ) |

## Member Function Documentation

void StepVisual_BoxCharacteristicSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepVisual_BoxCharacteristicSelect::operator new | ( | size_t | size | ) | `[inline]`

void* StepVisual_BoxCharacteristicSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Real StepVisual_BoxCharacteristicSelect::RealValue | ( |  | ) | const

Standard_EXPORT void StepVisual_BoxCharacteristicSelect::SetRealValue | ( | const Standard_Real | aValue | ) |

Standard_EXPORT void StepVisual_BoxCharacteristicSelect::SetTypeOfContent | ( | const Standard_Integer | aType | ) |

Standard_EXPORT Standard_Integer StepVisual_BoxCharacteristicSelect::TypeOfContent | ( |  | ) | const

## Field Documentation

Standard_Real StepVisual_BoxCharacteristicSelect::theRealValue `[private]`

Standard_Integer StepVisual_BoxCharacteristicSelect::theTypeOfContent `[private]`

The documentation for this class was generated from the following file:

- StepVisual_BoxCharacteristicSelect.hxx